Subject: Re: What's cooking in git.git (Aug 2008, #08; Wed, 27)

From: Johannes Sixt <[email-masked]>
Date: Thu, 28 Aug 2008 09:17:08 +0200

Junio C Hamano schrieb:
> * tr/filter-branch (Tue Aug 12 10:45:59 2008 +0200) 7 commits
>  + filter-branch: use --simplify-merges
>  + filter-branch: fix ref rewriting with --subdirectory-filter
>  + filter-branch: Extend test to show rewriting bug
> 
> Fixes a longstanding filter branch bug.  Success stories?
> Later parts depends on the earlier part of "--simplify-merges"

I have a repo to split that *requires* this. But I failed to complete the
task because there's a problem with rev-list --parents --full-history
--reverse that lists a commit without parent where there should be a
parent (it lists it correctly if --reverse is dropped). A test repository
is available in this messaged:

http://thread.gmane.org/gmane.comp.version-control.git/93171

-- Hannes